//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializegetStatisticsRequest")
inline fun getStatisticsRequest(block: gg.dsepractice.chinese.v1alpha1.GetStatisticsRequestKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest =
  gg.dsepractice.chinese.v1alpha1.GetStatisticsRequestKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest.newBuilder()).apply { block() }._build()
object GetStatisticsRequestKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest = _builder.build()

    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     */
    var articleId: kotlin.String
      @JvmName("getArticleId")
      get() = _builder.getArticleId()
      @JvmName("setArticleId")
      set(value) {
        _builder.setArticleId(value)
      }
    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     */
    fun clearArticleId() {
      _builder.clearArticleId()
    }
    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     * @return Whether the articleId field is set.
     */
    fun hasArticleId(): kotlin.Boolean {
      return _builder.hasArticleId()
    }

    /**
     * <code>bool all_articles = 6 [json_name = "allArticles"];</code>
     */
    var allArticles: kotlin.Boolean
      @JvmName("getAllArticles")
      get() = _builder.getAllArticles()
      @JvmName("setAllArticles")
      set(value) {
        _builder.setAllArticles(value)
      }
    /**
     * <code>bool all_articles = 6 [json_name = "allArticles"];</code>
     */
    fun clearAllArticles() {
      _builder.clearAllArticles()
    }
    /**
     * <code>bool all_articles = 6 [json_name = "allArticles"];</code>
     * @return Whether the allArticles field is set.
     */
    fun hasAllArticles(): kotlin.Boolean {
      return _builder.hasAllArticles()
    }
    val statisticsTypeCase: gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest.StatisticsTypeCase
      @JvmName("getStatisticsTypeCase")
      get() = _builder.getStatisticsTypeCase()

    fun clearStatisticsType() {
      _builder.clearStatisticsType()
    }
  }
}
inline fun gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest.copy(block: gg.dsepractice.chinese.v1alpha1.GetStatisticsRequestKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest =
  gg.dsepractice.chinese.v1alpha1.GetStatisticsRequestKt.Dsl._create(this.toBuilder()).apply { block() }._build()

